Old maps not able to use apps?

So I’ve noticed this a couple times that my old flights I can’t run some apps with them. The stuff I’m trying to work with was flown in 2015 with a P3 Pro. I can’t generate PDF reports, or annotate them correctly. Is this because of a change in processing? If so how do I make them reprocess so I could use them?

Thanks

I believe they should work. I just tried from a map in 2014 and it worked for me.